Skip to main content
PATCH
/
v1
/
maintenance-windows
/
{id}
/
maintenances
/
{maintenanceId}
Update maintenance dates
curl --request PATCH \
  --url https://api.checklyhq.com/v1/maintenance-windows/{id}/maintenances/{maintenanceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startsAt": "2023-12-25",
  "endsAt": "2023-12-25"
}
'
{
  "id": "<string>",
  "maintenanceWindowId": 123,
  "startsAt": "2023-12-25",
  "endsAt": "2023-12-25",
  "status": "<string>",
  "created_at": "2023-12-25",
  "updated_at": "2023-12-25",
  "updates": [
    {
      "id": "<string>",
      "maintenanceWindowId": 123,
      "maintenanceId": "<string>",
      "status": "<string>",
      "description": "<string>",
      "notifySubscribers": true,
      "created_at": "2023-12-25",
      "previousStatus": "<string>",
      "previousStartsAt": "2023-12-25",
      "previousEndsAt": "2023-12-25",
      "dateAdjustments": {
        "startsAt": "2023-12-25",
        "endsAt": "2023-12-25"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://checkly-422f444a-api-doc-maintenance-windows-update-mainten.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

id
integer
required
maintenanceId
string
required

Body

application/json
startsAt
string<date>
endsAt
string<date>

Response

Successful

id
string
required
maintenanceWindowId
number
required
startsAt
string<date>
required
endsAt
string<date>
required
status
string
required
created_at
string<date>
required
updated_at
string<date>
required
updates
object[]